---
title: "Moving to Void Linux"
date: 2018-01-31T17:00:43+02:00
slug: "moving-to-void-linux"
image: /content/images/2018/01/Void-Linux.png
---

I've been a distro hopper for quite some time. I've been there, done that on most distros. I started with Ubuntu, then tried Mint, before I ended up staying with Arch for some time. Manjaro also fits somewhere in the middle there. Plus a bunch less important ones. 

```
Current images were taken on Windows since I finished up the blog post during idle time at work. Will probably bother replacing them later.
¯\_(ツ)_/¯
```

For quite a while, I settled in with Fedora, where I stayed for a couple months. I'd also used a bunch of less famous distros, like Bunsenlabs (Aka Crunchbang) and even fiddled with PC-BSD/TrueOS. I've been through a bunch is my point. Heck I even owned a $49 copy of Red hat Enterprise Linux Desktop, at one point.

But some things just kept nagging. They were all small things that broke. Minor annoyances to some, big to others. Maybe that one hard drive would [slow down your boot tremendously](https://twitter.com/Kuwaddo/status/953619574238404610), or maybe performing an update [broke networking](https://twitter.com/Kuwaddo/status/958398252411424768) for some reason. These were all random issues I would find, the majority of which popped up with little or no human interaction during system updates. A quick edit in some config file typically fixed them in a minute, and I moved on. I dealt with these small issues one after another.

# Discovering the Void

Fast forward to late 2017 (November I believe), and someone mentions [Void Linux](https://www.voidlinux.eu/) to me on Mastodon. I'd heard of it before, or not heard of as much as I'd just seen it pop up in threads on 4chan's /g/ board. Plus, it generally seemed a bit weird:

![](/content/images/2018/01/firefox_2018-01-31_08-33-20.png)

The distro mentions the package manager, LibreSSL, the init system and brags about not being a fork. Techies reading this will instantly think it just reeks of neckbeard and tinfoil hats. And frankly, that presentation was part of the reason I never tried it. 

Many on 4chan bragged about how it didn't use systemd. Which never really mattered to me. I thought systemd was fine, because it started my applications and did its thing. In the past I thought all the issues mentioned earlier were general Linux issues, or some fault with the distributions. I didn't really think systemd had much to do with all the obscure issues I'd seen on every Linux system. `mount` would get the blame for boots stuck on hard drives, and if ssh didn't start properly, I'd probably blame `sshd`.

It seemed logical, systemd starts things and they run. I'd heard about it taking control of more and more system components, but I'd never really thought about exactly what that meant.

But back to the guy on Mastodon, he told me it was a pretty okay distro. The timing was probably a good reason, since I was planning to move from Fedora anyways.

# Entering the Void

*Fancy (and edgy) slogan that makes for, eh?*

I took the dive and installed Void, with the Mate desktop to be specific. The first weeks were a bit rough. Some packages in the repo were were broken the day after I installed, causing Mate updates to fail. Not the best first impression. But that was due to it being a small distro, somewhat understandable when you don't have a huge team of maintainers. I also must have had amazingly bad timing when installing it.

They were actively trying to fix it, as the build server's public waterfall showed, so I gave them the benefit of the doubt and waited it out. A couple days later, everything was back to normal and I could update my system just fine.

Following that install, all the other small issues I've had with Linux distros were simply gone. I didn't know where they went, or how they got fixed. But ever since I installed Void, I've never really had to touch a system config file (Except when setting the hardware clock to localtime, because Windows dual-booting)

Now, about 3-4 months in, I run Void Linux on all 3 of my main computers. And so many others that I even use a bootstrap script to set it up for me.

While I don't know the details of how runit works, doing `sv up`, `sv down` and symlinking files from `/etc/sv` to `/var/service` has been perfectly fine. Using `xbps` has also been nice and fast. While I don't use many particularly fancy features, I'd say it's definitely comparable to `pacman` in terms of pure speed. It's still not quite at the same level as FreeBSD's `pkg`, but certainly close enough.

However, after this incident, Void has perturbed me a bit about systemd. I don't exactly hate systemd now, but I definitely find myself preferring systemd-less distros. To match that, I've also started running Devuan on my servers: 

![](/content/images/2018/01/Hyper_2018-01-31_09-13-02.png)

Heck, [even on SBCs](https://twitter.com/Kuwaddo/status/958406013249638401).

But back to Void Linux for one final moment.

I don't know if it's the lack of systemd, if it's the fast package manager, or if it's related to musl. It could also be a combination of all those things. Regardless of the reason, so far, Void Linux seems like the distro I've wanted all along.

I reinstalled Void to use their xfce image, but since then I've happily been running Void for most tasks. Some issues do come with using a lesser known distro (like having to manually extract all those .deb packages). But I feel those trade-offs are easily worth the rest of the experience Void gives me.

It's the Arch Linux replacement that I wanted, but never found.

Unless they do some major change which messes a lot with the distro. I'll probably stay with Void for quite some time.

I'd heavily recommend that you at least give it a quick try for a couple of days if you're a fan of distributions similar to Arch Linux.
