---
title: "Are fighting games hard?"
date: 2018-02-20T16:49:31+02:00
slug: "are-fighting-games-hard"
image: /content/images/2018/02/akuma-heihachi-tk7-1920.jpg
---

Recently I've been dabbling in fighting games. I say dabbling, but I only started playing them actively a couple months ago. Although I did play games like Persona 4 Arena and Tekken 5 in the past. But during these past months I've been playing more. I picked up Street Fighter V again, I bought Tekken 7 and Dragon Ball FighterZ. Not to mention some older titles like Tekken Tag Tournament 2 and Persona 4 Arena Ultimax.

Most fighting games are known for not being particularly noob friendly. You're thrown into a game, told to memorize some combos and spend some time getting your ass kicked online. If you're lucky the game gives you a little tutorial. Tekken 7 was especially bad at this, the best way to really learn anything is to just enter training mode and look at the command list. With games such as Street Fighter V you at least have the option of spamming with Hadoukens from a range.

Some complain that this kind of introduction only appeals to long-time fans, while others simply call it "Survival of the fittest". Personally I do find tutorials a bit sparse in these games, and you will get rekt online during your first hours.

## Yet, I still wouldn't label fighting games hard, let me explain why.

When many people call these games hard, I think they're confusing difficulty with depth. (I'll talk more about that later) People believe that playing online is the only big part of fighting games, and that you basically have to brute-force yourself through the embarrassment of losing, until you perform decently online. Simply to get the privilege needed to start enjoying the game.

![tekken7-hadouken](/content/images/2018/02/tekken7-hadouken.jpg)
<small>Tekken is a series focused around memorizing button sequences to perform combos and moves, which easily scares off newcomers ([img src](http://www.pushsquare.com/news/2017/06/guide_tekken_7_-_basics_for_beginners_and_how_to_get_started))</small>

These people are dearly mistaken. A good fighting game actually has magnificent single-player options to get new players started. In fact Street Fighter V was criticised for their lack of single-player content during launch, but now that we've reached season 3 (also known as Street Fighter V: Arcade Edition) they have a solid offering of character stories and arcade modes to play. This single-player content is where you want to start.

## You're expected to be skilled when you start playing, but you don't need to be.

A game being aimed towards hardcore players, and a game being exclusive to hardcore players are two different things. Most fighting games put hardcore players first. But any decent game also gives players a good introduction through their story and arcade modes. Playing through the Arcade mode and Story modes of fighting games, while taking a peek at the command list once in a while, will teach you most things you need to start playing online. The problem most fighting games suffer from is in fact just that they're very bad at informing new players about this.

![Guilty-Gear-Xrd-Revelator-Tutorial](/content/images/2018/02/Guilty-Gear-Xrd-Revelator-Tutorial.jpg)
<small>While Guilty Gear is known for being a game that takes time to learn, and far more time to master, they have a great tutorial ([img src](http://operationrainfall.com/2016/06/03/review-guilty-gear-xrd-revelator/2/))</small>

I'll be honest, I was terrible at Tekken 7. I tried to jump straight into versus mode at first, only to barely land any hits on the default CPU difficulty. I had no idea how combos/moves even worked, so it was mostly helpless button mashing. However the story mode will make you play a handful of characters, against a selection of other characters, in a couple different situations. It'll be a rough ride, but as long as you check the command list and you're not afraid to retry once or twice, you'll make it through.

By the time you finish playing through most the single player content, you'll have built the basic skills required to at least win some online battles by exploiting your enemy's slip-ups. As long as you do it in a timely manner and remember to check the command list, you should have learned a couple 2-4 hit combos for a character or two, you'll have experience blocking, and you'll get better at spotting openings. You're no pro, but you'll have a chance.

This basic set of skill is plenty to let you compete with other online noobs. Fighting games are just notoriously bad at telling players how to get started.

## So why do people think they're so hard?

The keyword is "perception". Fighting games typically have a much higher perceived difficulty than they actually need to have. That's because fighting games are extremely deep. If you really want to, there's overly complex combos and maneuvers to learn. Which leads to a larger skill gap than most other genres. Even people who know that depth is what makes them difficult, often misunderstand what that depth means. The prime example being Tekken players who memorize a 10-hit combo, and then simply spam that combo the entire fight. Combos are no use if you can't land them, and you'll get punished hard. Knowing how to steadily land 2-hit combos from time to time, is way better than knowing a 10-hit combo you'll never land.

![usa_today_9389948.0](/content/images/2018/02/usa_today_9389948.0.jpg)
<small>Many people hear about fighting games in relation to tournaments, which makes the barrier to entry feel very high ([img src](https://www.polygon.com/2018/1/25/16933100/evo-japan-2018-schedule-stream-date-time))</small>

If you play a first-person shooter for the first time, you can still get some kills in if you're lucky enough to get behind an opponent before they notice you. But fighting games rarely have such luck-based factors. They're 1v1 battles, where skill and knowledge determine almost everything. Your opponent has to be pretty bad if they didn't notice you firing a hadouken, they might not have reacted, but surely they did at least notice. Not to mention that both characters are always on-screen at the same time. (an exception being high altitude differences in games like Marvel vs Capcom)

There is rarely an excuse for why you failed. And the gameplay people see online typically consists of skilled players duking it out with almost no slip-ups and powerful combos. You won't find a "funny montage" of Tekken 7 on PewDiePie's channel, instead you're going to find combo videos and recordings from tournaments.

All these things combined make people view fighting games as overly serious and complex things. While in reality, they're just regular games under their hardcore shell. The amount of depth available in competitive games is what keeps up their reputation of being impossible for beginners, and exclusive to pros.

The moral of the story is that you shouldn't be afraid to try a fighting game. They can be plenty of fun even if you're not such a good player. Dragon Ball FighterZ has an amazing story mode, that anyone can enjoy (I've still only completed 2 of 3 arcs though). I still get crushed online pretty often, but it hasn't stopped me from enjoying fighting games or squeezing in some rare online wins.

Fighting games can be hard to master, but it's not hard to have fun playing them.
