---
title: "ReactOS is coming"
date: 2018-02-23T16:48:05+02:00
slug: "reactos-is-coming"
image: /content/images/2018/02/ReactOS.png
---

A 20 year old project with the goal to seamlessly replace Windows is finally baring its fangs.

Kicking a certain OS out the door and leaving it behind has been the dream for many, including myself. The monolith named Windows has been with us far longer than almost any other piece of software. It even predates core components of many other systems, such as GCC.

ReactOS is a bit different from other Operating Systems however. Unlike Windows, the Linux Kernel or the \*BSD selection, it doesn't aim to be its own ecosystem. Instead it aims to be binary compatible with Windows. Meaning that software written for Windows should run on ReactOS once support is there.

![vmconnect_2018-02-23_12-15-19](/content/images/2018/02/vmconnect_2018-02-23_12-15-19.png)
<small>The developers hope that one day you'll be able to drop ReactOS right in Windows' place, and notice no difference other than the branding.</small>

This operating system has actually been around for quite some time. According to the Wikipedia page, development first started in 1996 as "FreeWin95", while the first ReactOS release was made in 1998. However the first release featuring a GUI didn't appear until 2004. That's 8 years from when the project first started, shows how dedicated people have been to get this working. Personally I first heard about ReactOS around 2012 or 2013.

When I first tried ReactOS, it was a buggy mess and I wasn't even able to easily boot it in a virtual machine. When it did boot, it would crash almost immediately.

## So why write about it now?

Fast forward to 2018. 22 years after development started, and 20 years since the first release. These days, ReactOS has been improving a lot faster than it did in the past. It started with some fundraisers they did a couple years ago. One to improve driver support, plus one called "Community Edition", where they accepted donations, and in return contributors were allowed to vote on what applications they should focus on getting to work.

If you try to install ReactOS now (Especially on bare metal) you'll still encounter a lot of driver issues, bugs and applications that won't run. But even so, ReactOS is now surprisingly usable as long as it does not crash. The application support is constantly expanding and it has a feature-level sitting somewhere between Windows 2000 and Windows XP at the moment. For over 20 years now, the project has been in an Alpha state. But I believe we might finally be closing in on Beta.

![react-os-dmc-tw](/content/images/2018/02/react-os-dmc-tw.jpg)
<small>The OS might be far from production-ready. But that doesn't mean it's not fap-ready ¯\\\_(ツ)\_/¯</small>

I've been waiting in the hopes of this happening for quite some time. Every couple of years since I first heard about the OS, I've been giving it a quick peek. Now in 2018, I was able to install ReactOS on a laptop of mine and have it boot. I celebrated by finally setting up a 10 EUR monthly donation to the project. While they still have a long way to go (And I mean **very** long. Don't underestimate how much of a mess Windows is under the hood), I hope that ReactOS' progress is finally about to reach a stage where they'll attract more developers and funding to get the project done faster.

I'm terrible at C/C++, nor do I have much old hardware or time I can use for testing. So all I can do for now is spread the word and donate some pocket change. But even if it should take another 5 or 10 years for ReactOS to become usable. I want to believe that one day I'll be able to trow Windows right out and run my Windows-only applications without using Wine.

Here's to 20+ years of progress. It took a while. But they're getting here. Hopefully we'll see another 20+ years of steady development.

Until then I recommend you at least give ReactOS a test for the sake of curiosity. It's nowhere near stable and reliable enough as a daily OS yet. But I believe that day is slowly closing in on us.
