---
title: "My new ThinkPad, the T480"
date: 2018-05-02T16:30:28+02:00
slug: "my-new-thinkpad-the-t480"
image: /content/images/2018/05/IMG_20180502_172126.jpg
---

I finally got my hands on an actual, current-model, high-end ThinkPad. Not a used one from some years ago. But one that's brand new and was assembled how I configured it on lenovo.com

For a while now I've been looking for a "perfect" laptop to invest my money into. But for sysadmins, that seems to be increasingly difficult to find if you also want good consumer-related features. But the T480 hit all the right buttons. So I bought one.

I felt a blog post or a kind of review was in order, now that I've actually used my new laptop a while.

<style>
.post-full-content table td:first-child {
    background-image: linear-gradient(0deg,#e2e2e2 50%,#eee);
    background-size: auto;
    font-weight: 600;
}
</style>

## Prelude

Before I get into this blog post I want to clarify that this is no professional review. You won't see a bunch of Cinebench here, nor will you see a lot of professional tests. You won't even see Windows, because I run Linux. Felt I should clarify that as there's probably a bunch of people here via Google. 

I also want to start of by explaining what hardware I'm coming from so you all know what my reference point is like.

Until now I've been using two main laptops:

- A ThinkPad T410s (Linux. i5-520M, 8GB RAM, 128GB SSD)
- A 13" MacBook Pro 2015 (macOS + W10 Bootcamp. i5, 8GB RAM, 128GB SSD)

Depending on my needs I'd bring one of the two laptops. Sometimes both. If I needed to get actual work done on the trip, I'd usually bring the T410s along. But if I thought I'd only need the laptop to watch anime and browse the web in my hotel room, I'd bring the Macbook.

Needless to say this isn't exactly optimal. It leaves me with two laptops. Which are not only split in their purpose, but don't even run the same operating systems. Therefore I wanted to invest in a single laptop which could merge the purpose of both the machines and last me many years.

Which wasn't quite as easy as I had thought.

## So why the T480?

There were a couple of checkboxes I needed to fill in order for the laptop to properly replace my existing solution. I also wanted some extra features, since I was already going to buy such an expensive piece of tech. And there weren't many laptops out there capable of meeting these demands. The most important things I needed were:

- Good Keyboard (But no numpad)
- HiDPI display with good colors for media consumption
- Full-size Ethernet port for my sysadmin work
- 8th Gen Intel CPU (Or Ryzen)
- A workday of battery life
- Serviceable Linux support
- Some usable GPU (Anything better than an Intel iGPU)
- Preferably a pointing stick (Aka TrackPoint)
- Preferably upgradeable, in case I need to in the future

The T480 barely checks all these points. And some more (like the battery being hot-swappable). I've been looking for a while, but until recently ThinkPads haven't quite met my requirements. Most notably all the ThinkPad models with full-size Ethernet had mediore displays. It wasn't until the T480 that I could get a compact ThinkPad with both full-size Ethernet and a HiDPI display option.

However, it wasn't perfect either. It's only available with an Nvidia MX150. While that's quite a decent GPU. I'd much rather have something like the RX550 present in the E480. Since Nvidia GPUs and Linux are... [well](https://www.youtube.com/watch?v=MShbP3OpASA&t=49m40s). But there simply weren't any "perfect" options. This was the closest I could find. (Although I did consider waiting for more Dell Latitude laptops to get 8th gen CPUs)

Overall I mostly wanted the GPU for future-proofing (Right now, Intel GPU is fine. But I don't want to regret not having it if I ever feel like doing some casual gaming later). So hopefully nouveau support would be in place once I actually need the Nvidia card. The i7 wasn't needed at all, I would've likely been fine with an i5-8250U. But all the configurations with an MX150 available in Norway, also had i7 CPUs. So I didn't have much choice there, but at least the money is getting spent on a CPU and not being thrown into a void.

The model I ended up buying had the following configuration:

<table style="specs">
    <tr><td>CPU</td><td>Intel i7-8550U 4-cores /w Hyperthreading @ 1.80GHz, 4.00GHz turbo</td></tr>
    <tr><td>RAM</td><td>16GB DDR4 (8+8GB)</td></tr>
    <tr><td>GPU</td><td>Nvidia MX150 2GB (And Intel HD Graphics 620)</td></tr>
    <tr><td>Display</td><td>WQHD (2560x1440), IPS, Anti-Glare, 300nits</td></tr>
    <tr><td>Storage</td><td>Lenovo-branded 256GB NVMe SSD</td></tr>
    <tr><td>Batteries</td><td>48 Wh (24Wh internal + 24Wh removable)</td></tr>
    <tr><td>Charger</td><td>65W Type-C charger</td></tr>
    <tr><td>Misc.</td><td>No fingerprint reader. No Smartcard. No 4G</td></tr>
    <tr><td>Price (inc. VAT)</td><td>18 310.25kr as configured<br /> <b>16 479.23kr after discount</b> (Approx. $2040 USD) </td></tr>
</table>

Now that I've explained my reasoning for picking this laptop. Let's start taking a look at it.

## Build

It's a ThinkPad. This might be the section where everything I say will feel obvious to anyone who has used a ThinkPad before. 

The machine is a tank, with a Mil-Spec rating that I'd probably never need, but is still reassuring to know I have. Using the machine day to day, I don't have any doubts that this machine will hold up for many years to come. It's got ThinkPad staples like the outer plastic shell, with a more rubbery coating on the display lid. As well as the fantastic keyboard and a trackpoint.

Apparently they switched to some new Carbon and Glass hybrid material on the inside with the palmrest and such, or at least I see mentions of this elsewhere online. But whatever material it is, it feels very nice on the palmrest. It's harder than most plastic palmrests I've used, so I'm not sure if that also makes it more brittle. However it's got a rougher feel than typical plastic and is very comfortable to rest your hands on for long periods of time. Describing feelings is hard. But if anything, I'd say it feels about as hard and solid as metal, with a grainy surface almost like a sheet of A4 paper.

This laptop is also equipped with Lenovo's bridge battery system. Meaning the laptop has two batteries. One internal battery at 24 Wh, plus an external battery that you can hot-swap as long as there's some charge in the internal battery. I'll mention this a bit more when we look at battery life.

The keyboard is as great as Lenovo keyboards tend to be. I have the non-backlit keyboard. I've heard there's a difference in coating between backlit and non-backlit options, so I thought I'd mention that real quick. Key travel is nice an snappy. The keyboard isn't as clicky as the ones on models like the T440 that we use a lot at my workplace. It seems to have slightly softer keys, but is still far from mushy. I've been typing this blog post non-stop so far on the ThinkPad keyboard. That should lend some credibility to how comfortable this keyboard is during longer typing sessions.

The trackpad depends on your preferences. It's got a rougher coating on it that feels like a sort of paper, though smoother than the palmrest, rather than a glass-like finish that you'll find on many other modern laptops. Personally I like it, but I can imagine that coating rubbing off and leaving a large glossy spot years into the future. Clicking the pad is also weird. It's not a Macbook trackpad, so like most regular trackpads you can only click around the bottom half of it. But the clicks are very deep. It might just be a habit thing, but the amount of travel near the bottom of the pad feels unnaturally deep. Around the center it's pretty fine to click. But once you get closer to the bottom it just feels very odd to click since it appears to travel very far down compared to other laptop trackpads I've used. Although a bit unusual, you can probably get used to it. Outside of those oddities, it's very responsive, and palm rejection has been working perfectly for me, even under Linux.

As for the TrackPoint, there probably isn't much to say. TrackPoint nubs have remained mostly the same, even prior to the switch to chiclet keyboards. The buttons have changed a little however, the T480 has quite clicky buttons for the TrackPoint. They'll feel a bit odd since they're not as soft as the older buttons on my T410s. But after the first day or two with the laptop, I didn't even think about it anymore.

The display is sturdy and does not flex to any noticeable degree. The hinge is also very solid. So solid that the screen doesn't wiggle even if you're holding your laptop while walking. However, This solid hinge does mean that you cannot open the screen with one finger, you'll just lift the whole laptop. Personally I'll take less screen wobble over one-finger opening any day. Most models have a "ThinkShutter", which is essentially a plastic shutter for the webcam. Sadly I have the WQHD display, and for some reason Lenovo forces you to get the IR camera with that display option, which lacks the ThinkShutter. It's a bit annoying as I found the ThinkShutter interesting, especially since I basically never use my webcam anyways. Overall it's a very minor loss, and just a slight annoyance.

![IMG_20180430_154347](/content/images/2018/05/IMG_20180430_154347.jpg)
<small>The T480 when I had just pulled it from its packaging.</small>

# Ports

Looking along the outside of the ThinkPad, you'll find a healthy selection of I/O compared to other modern laptops. On the right side, it has an SD card reader, a full-size Ethernet port, two USB Type-A ports, an HDMI port and your typical 3.5mm combo jack. Along the left you'll find two USB Type-C ports. The first one covers charging duty, while the other one has Thunderbolt support and serves as a part of Lenovo's new docking connector. Finally, you'll see a smartcard reader on the left if you configured it with that option. 

I'm generally quite pleased with the port selection. Especially the full-size Ethernet port. However I found the Type-C ports a bit lacking. While they're nice and fast with one of them supporting Thunderbolt, they were pretty loose. The charger wiggles a lot when plugged in, even up and down, not just left to right. After some Google searches it seems that's normal for the machine. They've worked fine and I've had no trouble getting a connection. But if you asked me what part of this laptop I thought would break first, I'd probably answer with the Type-C ports. And that's quite a bummer since they'll likely be heavily used as Type-C adoption keeps rising, especially because the Type-C ports also handle charging duty for this laptop. The Thunderbolt port is slightly stiffer than the regular USB one, but not by much.

Apparently the Thunderbolt port also only has 2x PCIe lanes instead of 4x. For most people this won't matter, 2x is still overly fast for most workloads. But peripherals such as external GPUs may suffer a performance penalty due to it.

# Linux support
Linux support on this laptop is pretty much golden. The only exception being the Nvidia GPU.

If you want to use both the Intel GPU and the Nvidia GPU to save power you're going to have a bad time. I first tried to use bumblebee with nouveau just to see if it would work. Unsurprisingly, it didn't. So I switched to using the proprietary driver, since it supposedly has some kind of Optimus implementation itself, but I couldn't get any results out of that either.

I mostly bought the MX150 for future-proofing anyways (Since I plan for this laptop to last me many years). So for now I decided that it wasn't really worth the hassle and I just left the Nvidia GPU alone, using only the Intel one. Most graphically intensive tasks, I perform on a desktop while at home anyways.

*Update: A follower pointed out that I apparently misunderstood Bumblebee. It supposedly needs the proprietary driver, not the open source driver. Apologies if the info above misled someone. I'll keep that in mind if I ever retry setting up switchable graphics.*

Other than that, everything basically worked out of the box on Void Linux. The only "issue" I had to solve was suspend to RAM when I close the lid. But installing acpid and enabling the service fixed that with Void Linux defaults. Otherwise, it's been smooth sailing straight out of the box.

Intel GPU, Type-C ports, Audio jack, WiFi, Ethernet and volume/brightness hotkeys all worked fine.

Sadly, I don't have the knowledge to test the IR cameras included with the IR camera assembly. The regular camera part showed up fine in Cheese without any mess, I simply don't have any idea what you would use the IR portion for on Linux unless there's some way to perform pam auth with it. I also haven't tested Bluetooth, simply because I don't use any Bluetooth devices regularly (Except my smartwatch, but that doesn't connect to a computer)

On a different note, non-integer HiDPI support is trash on Linux. If you're running a popular DE like Gnome, 2x scaling isn't much of a problem anymore. But try to get a 1.5x or 1.75x display scale and you'll have a horrible time. That's not an issue with the laptop, just something I felt you should be aware of if you were planning to buy it with the 1440p screen and run Linux. Because a 2x scale essentially leaves you with just a 1280x720 display. That's not a lot of space to work with on a modern laptop.

# Performance / Thermals / Noise
Like mentioned at the top of this blog post, you won't see any Cinebench stuff here. The i7-8550U is a fairly common chip so you'll likely find plenty of benchmarks related to it online.

What I will say is that Lenovo has handled the i7-8550U quite well, or maybe they just said "fuck it" and went overkill on the cooler. Thermals are perfectly fine even when compiling with all 8 cores or encoding video files. The fan does spin up to audible levels when running all cores heavily, though it's a fairly deep "woosh" sound rather than the annoying whine you'll get from many laptops with smaller fans. So it's quite manageable.

During regular use (Such as writing this blog post or watching YouTube videos) the fan does seem to spin. But I can't hear it unless I keep my ear 5cm from the vent located on the left side of the laptop. So either my hearing has gone bad, or the fan is so silent during regular usage, that you might very well treat it like it's not running.

I also feel obligated to inform that there's a difference in the cooler between MX150 models and the Intel models of this laptop. Apparently configurations with the MX150 don't just get a longer cooler to cover the GPU, but it also has an extra heatpipe. So you might not get results quite as good as this if you opt for an Intel-only model. You should also keep in mind that I'm not using the GPU, which is especially important since they supposedly share the same cooler.

Due to these neat thermals, the i7-8550U runs very well. While building the Pop Icon theme (which does a lot of SVG -> PNG generation with inkscape) the conky display on my desktop displayed the CPU freq wiggling between 2.6 and 3.2 GHz. On a quad-core Ultrabook CPU, that's quite impressive. It also built the theme faster than any other machine I own, including the i7-4810MQ in the W540 I use at work. The only machine that could match it was my Ryzen 5 1600 desktop.

Which is frankly not surprising. 8th gen i5 and i7 chips should handle any reasonable laptop load, assuming they're properly cooled. As for the SSD, you get a Lenovo-branded SSD according to smartmontools. The "LENSE20256GMSP34MEAT2TA" to be specific. 

Performing 5 runs of `dd if=/dev/zero of=testfile.dat bs=1M count=4096` gave fairly consistent results and averaged out to 475 MB/s. Sadly Lenovo seems to only have given 2x PCIe lanes to the SSD instead of 4x. If that's what's causing this speed or if the SSD is simply bad, I do not know. Regardless, `dd` is far from a comprehensive test, so take it with a grain of salt. In day to day use I noticed no issues with the SSD. Copying files was snappy and boot times are fine. Unless you regularly copy files that are 10% the size of your whole SSD or more, this guy will serve you fine.

![Screenshot_2018-05-02_19-12-11](/content/images/2018/05/Screenshot_2018-05-02_19-12-11.png)
<small>inxi screenshots always make nerds happy.</small>

# Display / Speakers
Here we've got both bad news and good news. So I'll kick off with the good news.

The display is fantastic. It's got great colors and decent brightness. Not to mention that it is a 1440p panel. While on the spec sheet, the display doesn't quite match up to Macbook displays, I find it very beautiful regardless. It's also matte, meaning that reflections won't be as much of an issue while working outside under the sun.

If I have one complaint about the screen it's that it supposedly doesn't cover Adobe RGB very well. Frankly I don't see that as such a huge deal, since most video editors would likely carry a P-series laptop. But I guess it is something to be aware of if you're a student planning to do Photoshop on this laptop. The sRGB should be plenty to get you through color work in school. But it's not adequate for the professional world. Secondly, the display is "only" 300 nits. I've found that plenty bright in most cases. But I do sometimes find myself missing the Macbook screens which are so ridiculously bright that they can pretty much overpower the sun by brute force when you're outside.

The only proper flaw I have with the display is that it's 16:9. That's great when you're watching videos. But 16:9 is pretty much considered a joke for actual work. I find myself missing the 16:10 display from my T410s ever so slightly once I need to fit more stuff vertically. Something like the 3:2 displays surface laptops have might have been even better.

All of those are minor and pretty specific faults though. Overall I'd give the screen an 8/10. Give me something non-16:9 and it'd be 9/10. Improve the colors so it's fitting for the professional world and I might just consider a full 10/10.

Next up are the bad news.

The speakers are absolutely terrible. I've heard better speakers on many smartphones. The T480 has two bottom mounted speakers. If you keep the laptop on a flat hard surface like a wooden table I'd describe them as "serviceable". But put them in your lap and that drops to an "ouch".

The speakers don't get loud at all. My Google Pixel, a smartphone with a single bottom mounted speaker gets way louder. Still, even with the pitiful volume, the T480's speakers start distorting around 60 or 70% volume. Even if you can get past that joke of a volume level, they're super tinny and you get this weird humming effect during louder sounds, where the speakers sound like they put a slight vibrato on everything because they're shaking themselves too hard. Or something odd like that.

Anyone remember that Chinese Doogee phone I bought a while back that cost me around $85? Yeah, that guy had about identical speakers to this laptop. Which is very sad, because the laptop has a great display. But if you're planning to have a decent movie experience, headphones are basically a requirement. They're so bad that I'd happily pick a "No speakers" option in the configurator if it could save me 20 bucks.

If I set my Google Pixel to 40% volume, it is both louder and clearer than the T480 when it's set to 60% volume. If I set the T480 to 100% volume, it's about as loud as my Pixel at 60-70% volume, but the speakers will distort so much that volume is the least of your issues.

The screen is fantastic. Yet the speakers hold it back. What I'm trying to say is just use headphones or give up.

# Battery life
Here we have one of the T480's strongest suits. Thanks to Lenovo's bridge battery system.

Like mentioned in the build section and specs, there's actually two batteries in this laptop. Regardless of your configuration you have an internal 24 Wh pack. But the second battery option you can pick yourself. Lenovo provides a 24 Wh battery, a 48 Wh one and a whopping 72 Wh one. The larger battery you pick, the more battery life you get, obviously. But the drawback is that the larger batteries stick out the bottom of the machine. Depending on your usage, this can be good or bad. It makes the laptop a less comfortable to use on your lap, but if you mostly use your laptop on a desk, it'll actually raise the laptop to a more comfortable typing position.

Personally mine is configured with the 24 Wh battery. Because I plan to use it a lot on-the-go. Giving me a total capacity of 48Wh. Combined with the efficient CPU, that makes for great battery life. Running Void Linux and with my laptop automatically doing a `powertop --auto-tune` on boot, I easily hit 8 hours of battery life. The removable battery is also hot-swappable as long as the internal battery holds a charge. Yes, you can actually just bring a bulk of batteries and swap them out. If you bought five 72Wh batteries or something, you could probably go for a week-long arctic expedition without a charger, assuming you find a way to prevent the cold from damaging the batteries. That's fucking insane.

I've only performed one real "test" myself. I left the T480 in my living room overnight. I opened a a ghost blog editor and ran a script that types a random a-z character every 0.2s to kinda simulate typing. Brightness was at maximum, WiFi on, Bluetooth off. Both batteries were fully charged, and it lasted 7 hours and 28 minutes until it died off. That's very impressive with maximum brightness.

Keep in mind this was also with the smallest battery configuration available. I've heard other people can almost hit 25 hours of movie watching at medium brightness with a 24+72Wh setup. And after seeing my own results that seems perfectly believable. I haven't yet decided if I should pick up an additional 72Wh battery myself.

Interestingly the T480 seems to always prioritize charging and draining the removable battery. It makes perfect sense that it'd drain the removable battery first, the hot-swap feature would be useless if it drained the internal battery first after all. But when you charge the laptop it will charge the removable battery instead of the internal one. Which I thought was kind of weird. Because if both your batteries were dead before you started charging. The hot-swap feature wouldn't work unless you first let it charge the external battery to 100%, and then gave it a bit more time so that it could charge the internal battery as well.

Which probably isn't a huge deal since the laptop charges very fast, but I still find it odd. I have the 65W charger. Lenovo's available configurations vary by country, but in most of them, all models default to the 45W charger. The 65W charger is usually available for Nvidia models at very little additional cost, so I recommend getting that upgrade if possible. In some regions it seems you can buy the 65W charger with Intel-only models as well as the Nvidia ones. Lenovo's configurator is a bit weird and inconsistent like that.

Using the 65W charger, the laptop takes about 1.5 hours to charge fully from 0% to 100% on both batteries when turned off. Which is very nice. In theory, charging the laptop for 5 minutes, will give you 20-30 minutes of working time. That can be a life-saver if you need to be in a meeting but your laptop is low on juice. Simply leave it to charge for a couple minutes while you go refill your coffee cup, and you might survive that meeting.

![IMG_20180502_190236](/content/images/2018/05/IMG_20180502_190236.jpg)
<small>Thanks to the great battery life, the T480 is a fantastic road warrior, feel free to bring it along on your next long bus ride.</small>

# Verdict
Do I think you should run out and buy the T480?

No.

The reason is simple. This isn't a consumer laptop, if you're looking for an answer from me you're in the wrong place. ThinkPads are expensive machines with business features. People who need a ThinkPad, likely already know why they would need a ThinkPad.

That being said. If your IT department gives you a list of laptops to pick from. I would probably ask you to pick this one.

It does also become a viable consumer option if you find it with a friendlier price tag. If you see the laptop going for 15% off or something along those lines, it starts to look more competitive with machines such as the XPS 13 for regular consumers.

If you find a very good price, it might be worth a buy. Otherwise the answer is likely no. Those who need a ThinkPad, already know and probably wouldn't really care what I told them to buy.

# Pros / Cons
## Pros

- Finally, HiDPI displays on regular ThinkPads. And it's a great display overall
- Removable and hot-swappable batteries. You can also get insane capacities if needed.
- Fantastic ThinkPad keyboard (I still prefer the classic ever so slightly though)
- TrackPoint. Nuff said
- Plenty of ports
- Built like a fortress
- Mil-spec rating you probably don't need but wanna brag about anyways
- Highly configurable on lenovo.com
- Good thermals (At least on my config)
- Fan is dead silent under most workloads
- You look damn professional with one of these

## Cons

- Only available with a mediocre Nvidia GPU
- Expensive af
- Speakers are a joke
- Somewhat sketchy Type-C ports
- Lenovo's configurator is weird and inconsistent. In my case it forced me on an i7 CPU and the IR Camera. Neither of which I really needed.
- Both Thunderbolt port and NVMe SSD only have 2x PCIe instead of 4x
- Why aren't 16:9 displays dead on business laptops yet?
